Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87797 - Lpr: default paper format overrides document
Summary: Lpr: default paper format overrides document
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lpr
Version: 9
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-02 16:59 UTC by Mark van Rossum
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-23 19:42:41 UTC


Attachments (Terms of Use)

Description Mark van Rossum 2003-04-02 16:59:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030211

Description of problem:
In RH9.0 there is the file 
Postscript-Generic-PostScript_Printer.foo
in /var/spool/lpd/xxxxx

This file the default paper format is specified as letter.
For A4 users this is a problem.

Worse, the paperformat in the ps file is overridden by this default value it seems.
So even A4 files are not printed correctly.

Result: error on the printer such as
" %%[ Error: configurationerror; OffendingCommand: setpagedevice; ErrorInfo:
PageSize [612 792]"



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. print postscript file (for instance from printconf)
2.
3.
    

Additional info:

To fix:

Edit Postscript-Generic-PostScript_Printer.foo
by hand.

Comment 1 Mark van Rossum 2003-04-04 14:07:35 UTC
Line 22 of Postscript-Generic-PostScript_Printer.foo becomes
  'default' => 'A4',

Comment 2 Elliot Lee 2004-08-23 19:42:41 UTC
Closing bugs for old packages that have no maintainer.


Note You need to log in before you can comment on or make changes to this bug.